Bug 211751 - [NEW PORT] print/scribus-devel: Comprehensive desktop publishing program (development version)
Summary: [NEW PORT] print/scribus-devel: Comprehensive desktop publishing program (dev...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Felder
URL:
Keywords: feature
Depends on:
Blocks:
 
Reported: 2016-08-11 09:13 UTC by Piotr Kubaj
Modified: 2018-10-06 16:00 UTC (History)
2 users (show)

See Also:


Attachments
print/scribus-devel shar (138.50 KB, application/x-shar)
2016-08-11 09:13 UTC, Piotr Kubaj
no flags Details
print/scribus-devel (138.50 KB, application/x-shar)
2016-08-11 09:14 UTC, Piotr Kubaj
no flags Details
corrected man pages (138.85 KB, application/x-shar)
2016-08-12 19:10 UTC, Piotr Kubaj
no flags Details
scribus-devel (138.76 KB, text/plain)
2016-08-13 10:05 UTC, Piotr Kubaj
no flags Details
shar (141.12 KB, application/x-shar)
2017-07-25 19:06 UTC, Piotr Kubaj
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2016-08-11 09:13:10 UTC
Created attachment 173539 [details]
print/scribus-devel shar

This shar adds a new port - development version of Scribus (1.5 branch). I've ported it because it adds support for importing MS Publisher files, which is something I need.

Tested to build in Poudriere and run on 10.3.
Comment 1 Piotr Kubaj freebsd_committer 2016-08-11 09:14:15 UTC
Created attachment 173540 [details]
print/scribus-devel

Corrected CMAKE_ARGS.
Comment 2 Piotr Kubaj freebsd_committer 2016-08-12 19:10:42 UTC
Created attachment 173607 [details]
corrected man pages

New shar to correct location of man pages.
Comment 3 Piotr Kubaj freebsd_committer 2016-08-13 10:05:13 UTC
Created attachment 173624 [details]
scribus-devel

I forgot to remove work/ directory.
Comment 4 Piotr Kubaj freebsd_committer 2017-07-25 19:06:35 UTC
Created attachment 184705 [details]
shar

Update to 1.5.3, added some dependencies.

1.5.2 was run-tested, 1.5.3 is build-tested on Poudriere.

portlint -A says "looks fine".
Comment 5 Walter Schwarzenfeld freebsd_triage 2018-03-08 16:24:23 UTC
ping!
Comment 6 commit-hook freebsd_committer 2018-10-05 13:46:20 UTC
A commit references this bug:

Author: feld
Date: Fri Oct  5 13:45:30 UTC 2018
New revision: 481275
URL: https://svnweb.freebsd.org/changeset/ports/481275

Log:
  Scribus is a desktop publishing program, similar to Adobe PageMaker(TM),
  QuarkXPress(TM) or Adobe InDesign(TM).

  Scribus offers support for professional publishing features, such
  as CMYK color, easy PDF creation, Encapsulated Postscript import/export
  and creation of color separations.

  WWW: http://www.scribus.net

  PR:		211751

Changes:
  head/print/Makefile
  head/print/scribus-devel/
  head/print/scribus-devel/Makefile
  head/print/scribus-devel/distinfo
  head/print/scribus-devel/pkg-descr
  head/print/scribus-devel/pkg-plist
Comment 7 Mark Felder freebsd_committer 2018-10-05 13:46:57 UTC
Committed with minor changes. Apologies that I overlooked this PR for so long.
Comment 8 commit-hook freebsd_committer 2018-10-06 16:00:11 UTC
A commit references this bug:

Author: feld
Date: Sat Oct  6 15:59:35 UTC 2018
New revision: 481371
URL: https://svnweb.freebsd.org/changeset/ports/481371

Log:
  Revive print/scribus-devel

  PR:		211751

Changes:
  head/MOVED
  head/print/Makefile
  head/print/scribus-devel/
  head/print/scribus-devel/Makefile
  head/print/scribus-devel/distinfo
  head/print/scribus-devel/files/
  head/print/scribus-devel/pkg-plist